<section class="MyGigs" style="position: relative;">
    <div class="container">
        <div class="row">
            <div class="col-md-6 noPadding_mobile">
                <h2 class="GigList_Heading">Gigs</h2>
            </div>
            <div class="col-md-6 text-right pt-2 noPadding_mobile">
                <div class="row">
                    <!-- <div class="col-md-5 offset-6">
                        <h5 class="custom_order_label">Accepting Custom Orders</h5>
                    </div>
                    <div class="col-md-1 pd_0 text-left">
                        <div class="checkbox checbox-switch">
                            <label class="switch">
                                <input type="checkbox">
                                <span class="slider round"></span>
                            </label>
                        </div>
                    </div> -->
                    <div class="col-md-12 noPadding_mobile">
                        <div style="display: flex;float: right;">
                            <h4 class='custom_order_label' style="margin-right: 15px;font-size: 15px;">Accepting Custom Orders</h4>
                            <div class="checkbox checbox-switch likeordislike">
                                <label class="switch">
                                    <input type="checkbox">
                                    <span class="slider round"></span>
                                </label>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 noPadding_mobile">
                <!-- <a href="new_gig.html" class="btn btn-success btn-sm create_new_gig_button">Create New Gig</a> -->
                <a (click)="onCreateNewGigClick()" class="btn btn-success btn-sm create_new_gig_button">Create New
                    Gig</a>
                <div class="tabbable-panel">
                    <div class="tabbable-line">
                        <ul class="nav nav-tabs bg_color_tabs">
                            <!-- <li>
                                <a href="#tab_default_0" class="active" data-toggle="tab" (click)="getAll_gridData()">ALL <span
                                        class="badge badge-success custom_badge">{{all_Count}}</span></a>
                            </li> -->
                            <li>
                                <a href="#tab_default_1" class="active" data-toggle="tab"
                                    (click)="getActive_gridData(5)">ACTIVE <span
                                        class="badge custom_badge">{{backoffice_list_count?.total_active_gig}}</span></a>
                            </li>
                            <li>
                                <a href="#tab_default_2" data-toggle="tab" (click)="getPending_gridData(2)">PENDING
                                    APPROVAL <span
                                        class="badge custom_badge">{{backoffice_list_count?.total_pending_approval_gig}}</span>
                                </a>
                            </li>
                            <li>
                                <a href="#tab_default_3" data-toggle="tab"
                                    (click)="getRequiresModification_gridData(3)">REQUIRES MODIFICATION <span
                                        class="badge custom_badge">{{backoffice_list_count?.total_required_modification_gig}}</span></a>
                            </li>
                            <li>
                                <a href="#tab_default_4" data-toggle="tab" (click)="getDraft_gridData(1)">DRAFT <span
                                        class="badge custom_badge">{{backoffice_list_count?.total_draft_gig}}</span></a>
                            </li>
                            <li>
                                <a href="#tab_default_5" data-toggle="tab" (click)="getDenied_gridData(4)">DENIED <span
                                        class="badge custom_badge">{{backoffice_list_count?.total_rejected_gig}}</span></a>
                            </li>
                            <li>
                                <a href="#tab_default_6" data-toggle="tab" (click)="getPause_gridData(6)">PAUSE<span
                                        class="badge custom_badge">{{backoffice_list_count?.total_paused_gig}}</span>
                                </a>
                            </li>
                        </ul>
                        <div class="tab-content">
                            <!-- <div class="tab-pane active" id="tab_default_0">
                                <div class="row">
                                    <div class="col-md-8">
                                        <h5>ALL GIGS</h5>
                                    </div>
                                    <div class="col-md-4 text-right">
                                        <div class="form-group pull-right">
                                            <select class="form-control custom_select" [(ngModel)]="duration_All" (change)="onSearchGigList(0,duration_All)">
                                                <option value="undefined">Select Duration</option>
                                                <option value="1">Last 7 Days</option>
                                                <option value="2">Last 14 Days</option>
                                                <option value="3">Last 30 Days</option>
                                                <option value="4">Last 2 Month</option>                                          
                                            </select>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-md-12">
                                    <kendo-grid [data]="allGrid_data" height="auto" [pageSize]="pageSize" [sort]="sort"
                                        [skip]="state.skip" (sortChange)="sortAllgigChange($event)" [filter]="state.filter"
                                        [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                                        (dataStateChange)="Allgig_DataStateChange($event)">
                                        <kendo-grid-column field="gig" title="GIG"
                                            [headerStyle]="{'height':'40px','text-align':'center','width':'8%'}"
                                            [style]="{'width':'8%'}">
                                            <ng-template kendoGridCellTemplate let-index="dataItem">
                                                <div class="row">
                                                    <div class="col-md-12 row_padding text-center">
                                                        <div>
                                                            {{index.gallery.file_path_thumbnail}}
                                                            {{index.title}}
                                                        </div>
                                                    </div>
                                                </div>
                                            </ng-template>
                                        </kendo-grid-column>
                                        <kendo-grid-column field="category" title="CATEGORY"
                                            [headerStyle]="{'height':'40px','text-align':'center','width':'8%'}"
                                            [style]="{'width':'8%'}">
                                            <ng-template kendoGridCellTemplate let-index="dataItem">
                                                <div class="row">
                                                    <div class="col-md-12 row_padding text-center">
                                                        <div>
                                                            {{index.category.category_name}}
                                                        </div>
                                                    </div>
                                                </div>
                                            </ng-template>
                                        </kendo-grid-column>
                                        <kendo-grid-column field="sub_category" title="SUB-CATEGORY"
                                            [headerStyle]="{'height':'40px','text-align':'center','width':'8%'}"
                                            [style]="{'width':'8%'}">
                                            <ng-template kendoGridCellTemplate let-index="dataItem">
                                                <div class="row">
                                                    <div class="col-md-12 row_padding text-center">
                                                        <div>
                                                            {{index.sub_category.sub_category_name}}
                                                        </div>
                                                    </div>
                                                </div>
                                            </ng-template>
                                        </kendo-grid-column>              

                                        <kendo-grid-column field="clicks" title="CLICKS"
                                            [headerStyle]="{'height':'40px','text-align':'center','width':'8%'}"
                                            [style]="{'width':'8%'}">
                                            <ng-template kendoGridCellTemplate let-index="dataItem">
                                                <div class="row">
                                                    <div class="col-md-12 row_padding text-center">
                                                        <div>
                                                            {{index.clicks}}
                                                        </div>
                                                    </div>
                                                </div>
                                            </ng-template>
                                        </kendo-grid-column>
                                        <kendo-grid-column field="orders" title="ORDERS"
                                            [headerStyle]="{'height':'40px','text-align':'center','width':'8%'}"
                                            [style]="{'width':'8%'}">
                                            <ng-template kendoGridCellTemplate let-index="dataItem">
                                                <div class="row">
                                                    <div class="col-md-12 row_padding text-center">
                                                        <div>
                                                            {{index.orders}}
                                                        </div>
                                                    </div>
                                                </div>
                                            </ng-template>
                                        </kendo-grid-column>
                                        <kendo-grid-column field="cancellations" title="CANCELLATIONS"
                                            [headerStyle]="{'height':'40px','text-align':'center','width':'8%'}"
                                            [style]="{'width':'8%'}">
                                            <ng-template kendoGridCellTemplate let-index="dataItem">
                                                <div class="row">
                                                    <div class="col-md-12 row_padding text-center">
                                                        <div>
                                                            {{index.cancellations}}
                                                        </div>
                                                    </div>
                                                </div>
                                            </ng-template>
                                        </kendo-grid-column>
                                        <kendo-grid-column  
                                        [headerStyle]="{'height':'40px','text-align':'center','width':'7%'}"
                                        [style]="{'width':'7%','overflow':'inherit'}">
                                        <ng-template kendoGridCellTemplate let-index="dataItem">
                                            <div class="pull-right">
                                                <a href="#" data-toggle="dropdown" role="button" aria-expanded="false" class="nav-link dropdown-toggle table_action_dropdown">
                                                </a>
                                                <ul role="menu" class="dropdown-menu table_action_dropdown_list">
                                                    <li><a href="#" class="dropdown_a_class">PREVIEW</a></li>
                                                    <li><a href="javascript:void(0)" class="dropdown_a_class" (click)="onEditClick(index.id)">EDIT</a></li>
                                                    <li><a href="#" class="dropdown_a_class">PAUSE</a></li>
                                                    <li><a href="#" class="dropdown_a_class">DELETE</a></li>
                                                </ul>
                                            </div>
                                        </ng-template>                                        
                                    </kendo-grid-column>
                                    </kendo-grid>
                                </div>
                                </div>
                            </div> -->

                            <div class="tab-pane active" id="tab_default_1">
                                <div class="row">
                                    <div class="col-md-8 noPadding_mobile">
                                        <h5>ACTIVE GIGS</h5>
                                    </div>
                                    <!-- <div class="col-md-4 text-right">
                                        <div class="form-group pull-right">
                                            <select class="form-control custom_select" [(ngModel)]="duration_Active"
                                                (change)="onSearchGigList(5,duration_Active)">
                                                <option value="undefined">Select Duration</option>
                                                <option value="1">Last 7 Days</option>
                                                <option value="2">Last 14 Days</option>
                                                <option value="3">Last 30 Days</option>
                                                <option value="4">Last 2 Month</option>
                                            </select>
                                        </div>
                                    </div> -->
                                </div>

                                <div class="row">
                                    <div class="col-md-12 noPadding_mobile">
                                        <!--KENDO GRID FOR ACTIVE GIGs START-->
                                        <kendo-grid [data]="activeGrid_data" [height]="gridHeight_Active"
                                            [pageable]="pageable_Active" [sort]="sort" [skip]="state.skip"
                                            [pageSize]="pageSize" (sortActive_gigChange)="sortActive_gigChange($event)"
                                            [filter]="state.filter" scrollable="true" [resizable]="true"
                                            [reorderable]="true" (dataStateChange)="Activegig_dataStateChange($event)"
                                            (pageChange)="pageChange_activeGig($event)">


                                            <kendo-grid-column field="gig" title="GIG"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'220px'}"
                                                [style]="{'width':'220px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <a href="javascript:void(0)" class="gig_name_text" (click)="openGigDetails(index.gig_id,index.gig_status_id)">
                                                                {{index.title}}
                                                            </a>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="category" title="CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="sub_category" title="SUB-CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.sub_category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="clicks" title="CLICKS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                                {{index.total_views}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="orders" title="ORDERS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                                {{index.orders_count}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="cancellations" title="CANCELLATIONS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                              0  <!-- {{index.cancellations}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column field="action" title=""
                                                [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}"
                                                [style]="{'width':'100px','text-align':'right'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div>
                                                        <a (click)="actionClick('active', 'preview', index.gig_id, index.gig_status_id)"
                                                                    class="dropdown_a_class"><i class="fa fa-eye pencil_icon eye_icon" title="Preview"></i></a>
                                                        <a (click)="actionClick('active', 'edit', index.gig_id, index.gig_status_id)"
                                                                    class="dropdown_a_class"><i class="fa fa-pencil pencil_icon edit_icon" title="Edit"></i></a>
                                                        <a (click)="actionClick('active', 'delete', index.gig_id, index.gig_status_id)"
                                                                    class="dropdown_a_class"><i class="fa fa-trash pencil_icon delete_icon" title="Remove"></i></a>


                                                        
                                                    </div>
                                                   
                                                </ng-template>
                                            </kendo-grid-column>
                                        </kendo-grid>
                                        <!--KENDO GRID FOR ACTIVE GIGs END-->
                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane" id="tab_default_2">
                                <div class="row">
                                    <div class="col-md-8 noPadding_mobile">
                                        <h5>PENDING APPROVAL</h5>
                                    </div>
                                    <!-- <div class="col-md-4 text-right">
                                        <div class="form-group pull-right">
                                            <select class="form-control custom_select"
                                                [(ngModel)]="duration_PendingApproval"
                                                (change)="onSearchGigList(2,duration_PendingApproval)">
                                                <option value="undefined">Select Duration</option>
                                                <option value="1">Last 7 Days</option>
                                                <option value="2">Last 14 Days</option>
                                                <option value="3">Last 30 Days</option>
                                                <option value="4">Last 2 Month</option>
                                            </select>
                                        </div>
                                    </div> -->
                                </div>

                                <div class="row">
                                    <!--KENDO GRID FOR PENDING_APPROVAL GIGs START-->
                                    <div class="col-md-12 noPadding_mobile">
                                        <kendo-grid [data]="pendingGrid_data" [height]="gridHeight_Pending"
                                            [pageable]="pageable_Pending" [pageSize]="pageSize" [sort]="sort"
                                            [skip]="state.skip" (sortPending_gigChange)="sortPending_gigChange($event)"
                                            [filter]="state.filter" scrollable="true" [resizable]="true"
                                            [reorderable]="true" (dataStateChange)="Pendinggig_dataStateChange($event)"
                                            (pageChange)="pageChange_pendingGig($event)">


                                            <kendo-grid-column field="gig" title="GIG"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'220px'}"
                                                [style]="{'width':'220px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <a href="javascript:void(0)" class="gig_name_text" (click)="openGigDetails(index.gig_id,index.gig_status_id)">
                                                                {{index.title}}
                                                            </a>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="category" title="CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="sub_category" title="SUB-CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.sub_category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="clicks" title="CLICKS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                               0 <!-- {{index.clicks}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="orders" title="ORDERS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                               0 <!-- {{index.orders}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="cancellations" title="CANCELLATIONS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                            0 <!-- {{index.cancellations}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column field="action" title=""
                                            [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}"
                                            [style]="{'width':'100px','text-align':'right'}">
                                            <ng-template kendoGridCellTemplate let-index="dataItem">
                                                <div>
                                                    <a (click)="actionClick('pending_4_approval', 'preview', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-eye pencil_icon eye_icon" title="Preview"></i></a>
                                                    <a (click)="actionClick('pending_4_approval', 'edit', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-pencil pencil_icon edit_icon" title="Edit"></i></a>
                                                    <a (click)="actionClick('pending_4_approval', 'delete', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-trash pencil_icon delete_icon" title="Remove"></i></a>

                                                    
                                                </div>
                                            </ng-template>
                                        </kendo-grid-column>
                                            
                                        </kendo-grid>
                                        <!--KENDO GRID FOR PENDING_APPROVAL END-->
                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane" id="tab_default_3">
                                <div class="row">
                                    <div class="col-md-8 noPadding_mobile">
                                        <h5>REQUIRES MODIFICATION</h5>
                                    </div>
                                    <!-- <div class="col-md-4 text-right">
                                        <div class="form-group pull-right">
                                            <select class="form-control custom_select"
                                                [(ngModel)]="duration_RequiresModification"
                                                (change)="onSearchGigList(3,duration_RequiresModification)">
                                                <option value="undefined">Select Duration</option>
                                                <option value="1">Last 7 Days</option>
                                                <option value="2">Last 14 Days</option>
                                                <option value="3">Last 30 Days</option>
                                                <option value="4">Last 2 Month</option>
                                            </select>
                                        </div>
                                    </div> -->
                                </div>

                                <div class="row">
                                    <!--KENDO GRID FOR REQUIRES_MODIFICATION GIGs START-->
                                    <div class="col-md-12 noPadding_mobile">
                                        <kendo-grid [data]="requiresModificationGrid_data"
                                            [height]="gridHeight_Modification" [pageable]="pageable_Modification"
                                            [pageSize]="pageSize" [sort]="sort" [skip]="state.skip"
                                            (sortRequiresModification_gigChange)="sortRequiresModification_gigChange($event)"
                                            [filter]="state.filter" scrollable="true" [resizable]="true"
                                            [reorderable]="true"
                                            (RequiresModificationgig_DataStateChange)="RequiresModificationgig_DataStateChange($event)"
                                            (pageChange)="pageChange_requiresModificationgig($event)">


                                            <kendo-grid-column field="gig" title="GIG"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'220px'}"
                                                [style]="{'width':'220px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <a href="javascript:void(0)" class="gig_name_text" (click)="openGigDetails(index.gig_id,index.gig_status_id)">
                                                                {{index.title}}
                                                            </a>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="category" title="CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="sub_category" title="SUB-CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.sub_category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="clicks" title="CLICKS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                                0<!-- {{index.clicks}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="orders" title="ORDERS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                                0<!-- {{index.orders}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="cancellations" title="CANCELLATIONS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                               0<!-- {{index.cancellations}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column field="action" title=""
                                            [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}"
                                            [style]="{'width':'100px','text-align':'right'}">
                                            <ng-template kendoGridCellTemplate let-index="dataItem">
                                                <div>
                                                    <a (click)="actionClick('req_modification', 'preview', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-eye pencil_icon eye_icon" title="Preview"></i></a>
                                                    <a (click)="actionClick('req_modification', 'edit', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-pencil pencil_icon edit_icon" title="Edit"></i></a>
                                                    <a (click)="actionClick('req_modification', 'delete', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-trash pencil_icon delete_icon" title="Remove"></i></a>

                                                    
                                                </div>
                                            </ng-template>
                                        </kendo-grid-column>
                                        </kendo-grid>
                                        <!--KENDO GRID FOR REQUIRES_MODIFICATION GIGs END-->
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane" id="tab_default_4">
                                <div class="row">
                                    <div class="col-md-8 noPadding_mobile">
                                        <h5>DRAFT</h5>
                                    </div>
                                    <!-- <div class="col-md-4 text-right">
                                        <div class="form-group pull-right">
                                            <select class="form-control custom_select" [(ngModel)]="duration_Draft"
                                                (change)="onSearchGigList(1,duration_Draft)">
                                                <option value="undefined">Select Duration</option>
                                                <option value="1">Last 7 Days</option>
                                                <option value="2">Last 14 Days</option>
                                                <option value="3">Last 30 Days</option>
                                                <option value="4">Last 2 Month</option>
                                            </select>
                                        </div>
                                    </div> -->
                                </div>

                                <div class="row">
                                    <!--KENDO GRID DRAFTS GIGs START-->
                                    <div class="col-md-12 noPadding_mobile">
                                        <kendo-grid [data]="draftGrid_data" [height]="gridHeight_Draft"
                                            [pageable]="pageable_Draft" [pageSize]="pageSize" [sort]="sort"
                                            [skip]="state.skip" (pageChange)="pageChange($event)"
                                            (sortDraft_gigChange)="sortDraft_gigChange($event)" [filter]="state.filter"
                                            scrollable="true" [resizable]="true" [reorderable]="true"
                                            (Draftgig_DataStateChange)="Draftgig_DataStateChange($event)">


                                            <kendo-grid-column field="gig" title="GIG"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'220px'}"
                                                [style]="{'width':'220px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <a href="javascript:void(0)" class="gig_name_text" (click)="openGigDetails(index.gig_id,index.gig_status_id)">
                                                                {{index.title}}
                                                            </a>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="category" title="CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="sub_category" title="SUB-CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.sub_category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="clicks" title="CLICKS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                                0<!-- {{index.clicks}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="orders" title="ORDERS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                                0<!-- {{index.orders}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="cancellations" title="CANCELLATIONS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                                0<!-- {{index.cancellations}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column field="action" title=""
                                            [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}"
                                            [style]="{'width':'100px','text-align':'right'}">
                                            <ng-template kendoGridCellTemplate let-index="dataItem">
                                                <div>
                                                    <a (click)="actionClick('draft', 'preview', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-eye pencil_icon eye_icon" title="Preview"></i></a>
                                                    <a (click)="actionClick('draft', 'edit', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-pencil pencil_icon edit_icon" title="Edit"></i></a>
                                                    <a (click)="actionClick('draft', 'delete', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-trash pencil_icon delete_icon" title="Remove"></i></a>

                                                    
                                                </div>
                                            </ng-template>
                                        </kendo-grid-column>
                                        </kendo-grid>
                                        <!--KENDO GRID DRAFTS GIGs END-->
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane" id="tab_default_5">
                                <div class="row">
                                    <div class="col-md-8 noPadding_mobile">
                                        <h5>DENIED</h5>
                                    </div>
                                    <!-- <div class="col-md-4 text-right">
                                        <div class="form-group pull-right">
                                            <select class="form-control custom_select" [(ngModel)]="duration_Denied"
                                                (change)="onSearchGigList(4,duration_Denied)">
                                                <option value="undefined">Select Duration</option>
                                                <option value="1">Last 7 Days</option>
                                                <option value="2">Last 14 Days</option>
                                                <option value="3">Last 30 Days</option>
                                                <option value="3">Last 2 Month</option>
                                            </select>
                                        </div>
                                    </div> -->
                                </div>

                                <div class="row">
                                    <!--KENDO GRID FOR DENIED GIGs START-->
                                    <div class="col-md-12 noPadding_mobile">
                                        <kendo-grid [data]="deniedGrid_data" [height]="gridHeight_Denied"
                                            [pageable]="pageable_Denied" [pageSize]="pageSize" [sort]="sort"
                                            [skip]="state.skip" (sortDenied_gigChange)="sortDenied_gigChange($event)"
                                            [filter]="state.filter" scrollable="true" [resizable]="true"
                                            [reorderable]="true"
                                            (Deniedgig_DataStateChange)="Deniedgig_DataStateChange($event)"
                                            (pageChange)="pageChange_Deniedgig($event)">


                                            <kendo-grid-column field="gig" title="GIG"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'220px'}"
                                                [style]="{'width':'220px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <a href="javascript:void(0)" class="gig_name_text" (click)="openGigDetails(index.gig_id,index.gig_status_id)">
                                                                {{index.title}}
                                                            </a>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="category" title="CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="sub_category" title="SUB-CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.sub_category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="clicks" title="CLICKS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                              0  <!-- {{index.clicks}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="orders" title="ORDERS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                               0 <!-- {{index.orders}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="cancellations" title="CANCELLATIONS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                              0  <!-- {{index.cancellations}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column field="action" title=""
                                            [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}"
                                            [style]="{'width':'100px','text-align':'right'}">
                                            <ng-template kendoGridCellTemplate let-index="dataItem">
                                                <div>
                                                    <a (click)="actionClick('denied', 'preview', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-eye pencil_icon eye_icon" title="Preview"></i></a>
                                                    <a (click)="actionClick('denied', 'edit', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-pencil pencil_icon edit_icon" title="Edit"></i></a>
                                                    <a (click)="actionClick('denied', 'delete', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-trash pencil_icon delete_icon" title="Remove"></i></a>


                                                </div>
                                            </ng-template>
                                        </kendo-grid-column>
                                            
                                        </kendo-grid>
                                        <!--KENDO GRID FOR DENIED GIGs END-->
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane" id="tab_default_6">
                                <div class="row">
                                    <div class="col-md-8 noPadding_mobile">
                                        <h5>PAUSE</h5>
                                    </div>
                                    <!-- <div class="col-md-4 text-right">
                                        <div class="form-group pull-right">
                                            <select class="form-control custom_select" [(ngModel)]="duration_Pause"
                                                (change)="onSearchGigList(6,duration_Pause)">
                                                <option value="undefined">Select Duration</option>
                                                <option value="1">Last 7 Days</option>
                                                <option value="2">Last 14 Days</option>
                                                <option value="3">Last 30 Days</option>
                                                <option value="4">Last 2 Month</option>
                                            </select>
                                        </div>
                                    </div> -->
                                </div>

                                <div class="row">
                                    <!--KENDO GRID PAUSE GIGs START-->
                                    <div class="col-md-12 noPadding_mobile">
                                        <kendo-grid [data]="pauseGrid_data" [height]="gridHeight_Paused"
                                            [pageable]="pageable_Paused" [pageSize]="pageSize" [sort]="sort"
                                            [skip]="state.skip" (sortPause_gigChange)="sortPause_gigChange($event)"
                                            [filter]="state.filter" scrollable="true" [resizable]="true"
                                            [reorderable]="true"
                                            (Pausegig_DataStateChange)="Pausegig_DataStateChange($event)"
                                            (pageChange)="pageChange_Pausegig($event)">


                                            <kendo-grid-column field="gig" title="GIG"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'220px'}"
                                                [style]="{'width':'220px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <a href="javascript:void(0)" class="gig_name_text" (click)="openGigDetails(index.gig_id,index.gig_status_id)">
                                                                {{index.title}}
                                                            </a>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="category" title="CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="sub_category" title="SUB-CATEGORY"
                                                [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                                                [style]="{'width':'140px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-left noPadding_mobile">
                                                            <div>
                                                                {{index.sub_category_name}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="clicks" title="CLICKS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                              0  <!-- {{index.clicks}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="orders" title="ORDERS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                             0   <!-- {{index.orders}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>

                                            <kendo-grid-column field="cancellations" title="CANCELLATIONS"
                                                [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                                                [style]="{'width':'90px'}">
                                                <ng-template kendoGridCellTemplate let-index="dataItem">
                                                    <div class="row">
                                                        <div class="col-md-12 row_padding text-center noPadding_mobile">
                                                            <div>
                                                               0 <!-- {{index.cancellations}} -->
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-template>
                                            </kendo-grid-column>
                                            <kendo-grid-column field="action" title=""
                                            [headerStyle]="{'height':'40px','text-align':'right','width':'100px'}"
                                            [style]="{'width':'100px','text-align':'right'}">
                                            <ng-template kendoGridCellTemplate let-index="dataItem">
                                                <div>
                                                    <a (click)="actionClick('paused', 'preview', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-eye pencil_icon eye_icon" title="Preview"></i></a>
                                                    <a (click)="actionClick('paused', 'resume', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-pencil pencil_icon edit_icon" title="Edit"></i></a>
                                                    <a (click)="actionClick('paused', 'delete', index.gig_id, index.gig_status_id)"
                                                                class="dropdown_a_class"><i class="fa fa-trash pencil_icon delete_icon" title="Remove"></i></a>
                                                    
                                                </div>
                                            </ng-template>
                                        </kendo-grid-column>
                                            
                                        </kendo-grid>
                                        <!--KENDO GRID PAUSE GIGs END-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>


<div class="modal fade" id="delete_gig_modal" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
        <div class="modal-content" style="border-radius: 0px;">
            <div class="modal-header">
                <h4 class="modal-title modal_title_text">Delete Gig</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12 noPadding_mobile">
                        <h5>Do you really want to remove this gig?</h5>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12 noPadding_mobile">
                        <div class="form-group text-right" style="margin-top: 25px;">
                            <button type="button" class="yes_btn" (click)="removeGig()">Yes</button>
                            <!-- <a href="#" class="yes_btn" >Yes</a> -->
                            <button type="button" data-dismiss="modal" class="no_btn">No</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>